CVE-2002-1958
CVSS4.3
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:31:57
NMCOE    

[原文]Cross-site scripting (XSS) vulnerability in kmMail 1.0, 1.0a, and 1.0b allows remote attackers to inject arbitrary web script or HTML via (1) javascript in onmouseover or other attributes in "safe" HTML tags such as the "b" tag, or (2) the Subject field.


[CNNVD]KMMail远程代码插入漏洞(CNNVD-200212-830)

        
        KMMAIL是一款免费开放源代码的基于WEB的邮件程序,由PHP编写,可使用在多种Linux/Unix操作系统中。
        KMMAIL对邮件中的数据缺少正确的过滤,远程攻击者可以利用这个漏洞进行跨站脚本执行攻击。
        KMMAIL对包含在邮件中的Javascript脚本代码缺少正确过滤,攻击者可以在主题字段中提交包含恶意Javascript脚本代码的数据并发送给目标用户,当用户使用浏览器打开包含Javascript脚本代码的邮件时,脚本代码就可能以IE进程的权限在系统上执行,导致用户用于验证的COOKIE等信息泄露。
        

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)

cpe:/a:kmmail:kmmail:1.0a
cpe:/a:kmmail:kmmail:1.0b
cpe:/a:kmmail:kmmail:1.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1958
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1958
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-830
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5173
(PATCH)  BID  5173
http://www.iss.net/security_center/static/9507.php
(PATCH)  XF  kmmail-safe-tag-xss(9507)
http://sourceforge.net/forum/forum.php?forum_id=191501
(PATCH)  CONFIRM  http://sourceforge.net/forum/forum.php?forum_id=191501
http://www.securityfocus.com/bid/6013
(UNKNOWN)  BID  6013
http://lists.grok.org.uk/pipermail/full-disclosure/2002-October/002207.html
(UNKNOWN)  FULLDISC  20021021 kmMail XSS

- 漏洞信息

KMMail远程代码插入漏洞
中危 输入验证
2002-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        KMMAIL是一款免费开放源代码的基于WEB的邮件程序,由PHP编写,可使用在多种Linux/Unix操作系统中。
        KMMAIL对邮件中的数据缺少正确的过滤,远程攻击者可以利用这个漏洞进行跨站脚本执行攻击。
        KMMAIL对包含在邮件中的Javascript脚本代码缺少正确过滤,攻击者可以在主题字段中提交包含恶意Javascript脚本代码的数据并发送给目标用户,当用户使用浏览器打开包含Javascript脚本代码的邮件时,脚本代码就可能以IE进程的权限在系统上执行,导致用户用于验证的COOKIE等信息泄露。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时关闭浏览器的javascript功能。
        厂商补丁:
        kmMail
        ------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        kmMail Upgrade kmmail-1.0b.1.tar.gz
        
        http://prdownloads.sourceforge.net/kmmail/kmmail-1.0b.1.tar.gz?download

- 漏洞信息 (21956)

KMMail 1.0 E-Mail HTML Injection Vulnerability (EDBID:21956)
php webapps
2002-10-21 Verified
0 Ulf Harnhammar
N/A [点击下载]
source: http://www.securityfocus.com/bid/6013/info

kmMail does not sufficiently sanitize HTML and script code from the body of e-mail messages. As a result, an attacker may send a malicious message to a user of kmMail that includes arbitrary HTML and script code.

This may allow an attacker to steal cookie-based authentication credentials from users of the webmail system. Other attacks are also possible.

<b onMouseOver="alert(document.location)">bolder</b> 		

- 漏洞信息

59315
kmMail E-mail Content XSS
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2002-07-05 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.0b.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站